#ifndef GPIO_CONTROL_H
#define GPIO_CONTROL_H

int init_gpio();

void cleanup_gpio();

int set_pin_state(int pin, int state);

int read_button(int pin);

int turn_on_pin(int pin);

int turn_off_pin(int pin);

int turn_on_all_pins();

int turn_off_all_pins();

int wait_for_button_press(int button_pin);

#endif /* GPIO_CONTROL_H */
